/*
* This plugin removes all menus/votes a player has when joining (remaining from other servers)
*
* Author:
*	-> White Panther
*
* v0.3:
*	- initial release
*
* v0.4:
*	-added:
*		- define to either use engine or fakemeta
*	-changed:
*		- better client check if fully connected
*		- new method to close menu ( thx VEN )
*/

// change this to 1 when you want to use fakemeta module instead of engine module
#define USE_FAKEMETA	0

#include <amxmodx>
#if USE_FAKEMETA == 0
#include <engine>
#else
#include <fakemeta>
#endif


new ShowMenu_ID

public plugin_init( )
{  
	register_plugin("Clear Menus", "0.4", "White Panther")
	register_cvar("clearmenus_version", "0.4", FCVAR_SERVER)
	ShowMenu_ID = get_user_msgid("ShowMenu")
}

public client_putinserver( id )
{
	set_task(0.1, "check_if_playing", id)
}

public check_if_playing( id )
{
	if ( is_user_connected(id) )
	{
#if USE_FAKEMETA == 0
		if ( ( entity_get_int(id, EV_INT_flags) & FL_CLIENT ) )
#else
		if ( ( pev(id, pev_flags) & 8 ) )
#endif
		{
			message_begin(MSG_ONE, ShowMenu_ID, {0,0,0}, id)
			write_short(0)
			write_char(0)
			write_byte(0)
			write_string("")
			message_end()
		}else
			set_task(0.1, "check_if_playing", id)
	}
}